# Expo Victory

React Native Victory Charts in managed Expo app

## Introduction

If you have trouble trying [victory-native](https://github.com/FormidableLabs/victory-native) with Expo, maybe you should try this. Since managed Expo app have `react-native-svg` pre-installed, using `react-native-svg` might cause an Error:

```
Error: tried to register two views with the same name rnsvgrect
```

This repository rewrites the component with Expo svg components in TypeScript, hopefully solving the problem for you.

### Usage

Install expo-victory:

```sh
$ npm install expo-victory: --save
```

or

```sh
$ yarn add expo-victory
```

Import charts from `victory-native`. For example,

```jsx
import React, { Component } from "react";

import { VictoryBar } from "expo-victory";

class App extends Component {
  render() {
    return (
      <VictoryBar />
    );
  }
}

export default App;
```

### Documentation

See the official docs and examples of Victory on the website https://formidable.com/open-source/victory/docs/native

## License

MIT, see the [LICENSE](/LICENSE) file for details.

